Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885879 - Anaconda should also be able show the root password in clear text
Summary: Anaconda should also be able show the root password in clear text
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: anaconda
Version: 8.0
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: rc
: 8.0
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-07 09:05 UTC by Bernd Finger
Modified: 2021-06-24 09:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Anaconda User Settings screen (19.84 KB, image/png)
2020-10-07 09:05 UTC, Bernd Finger
no flags Details
Anaconda Root Password screen (15.28 KB, image/png)
2020-10-07 09:06 UTC, Bernd Finger
no flags Details
Anaconda User Creation screen (24.94 KB, image/png)
2020-10-07 09:08 UTC, Bernd Finger
no flags Details

Description Bernd Finger 2020-10-07 09:05:53 UTC
Created attachment 1719661 [details]
Anaconda User Settings screen

Description of problem:
When installing RHEL 8, after clicking "Begin Installation", the "USER SETTINGS"  screen appears. In the Root Password screen, there is no option to show the password in clear text.

Version-Release number of selected component (if applicable):
8.x

How reproducible:
always

Steps to Reproduce:
1. Boot a system from any RHEL 8.x ISO image.
2. Configure all settings in the first screen and press "Begin Installation".
3. In the "USER SETTINGS" screen, enter the desired root password.

Actual results:
There is no button to toggle displaying or hiding the root password.

Expected results:
Similar to the eye button at the far right of the text entry field of the "Password" and "Confirm password" lines in screen "User Creation", the same icon and functionality should also be available in the "Root Password" screen. 

Additional info:

Comment 1 Bernd Finger 2020-10-07 09:06:56 UTC
Created attachment 1719662 [details]
Anaconda Root Password screen

Comment 2 Bernd Finger 2020-10-07 09:08:15 UTC
Created attachment 1719663 [details]
Anaconda User Creation screen

Comment 3 Jan Stodola 2021-05-28 22:35:17 UTC
Fixed upstream: https://github.com/rhinstaller/anaconda/pull/3119


Note You need to log in before you can comment on or make changes to this bug.